> ## Documentation Index
> Fetch the complete documentation index at: https://help.fieldpulse.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update by Id



## OpenAPI

````yaml put /items/{id}
openapi: 3.0.0
info:
  title: FieldPulse API
  description: >-
    REST API for the FieldPulse field service management platform.


    **Authentication:** All requests require an `x-api-key` header. Contact
    support@fieldpulse.com to obtain your API key.


    **Important:** The API Playground below makes live requests against your
    production data. Use caution when testing write operations (POST, PUT,
    DELETE).
  version: 1.0.0
servers:
  - url: https://ywe3crmpll.execute-api.us-east-2.amazonaws.com/stage
    description: Production
security:
  - apiKeyAuth: []
tags:
  - name: Assets
    description: Endpoints related to assets
  - name: Assets Category
    description: Endpoints related to assets category
  - name: Comments
    description: Endpoints related to comments
  - name: Company Profile
    description: Endpoints related to contracts
  - name: Contracts
    description: Endpoints related to contracts
  - name: Customers
    description: Endpoints related to customers
  - name: Custom Fields
    description: Endpoints related to custom fields
  - name: Estimates
    description: Endpoints related to estimates
  - name: Invoices
  - name: Items
  - name: Jobs
  - name: Lead Source
  - name: Locations
  - name: Material Lists
  - name: Payments
  - name: Pipeline Status
  - name: Projects
  - name: Purchase Orders
  - name: Subtasks
  - name: Tags
  - name: Teams
  - name: Timesheets
  - name: Users
  - name: Vendors
  - name: Version
paths:
  /items/{id}:
    put:
      tags:
        - Items
      summary: Update by Id
      operationId: putItemsById
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                name: ''
                default_taxable: ''
                default_description: ''
                type: ''
                sku: ''
                default_unit_price: ''
                default_unit_cost: ''
                default_quantity: ''
                track_inventory: ''
                is_active: ''
                xero_sales_account: ''
                xero_tax_account: ''
                tax_rate: ''
                vendor_id: ''
                vendor_type: ''
                vendor_name: ''
                supplier_item_id: ''
                is_automatic_replenishment_by_purchase_order_enabled: ''
                auto_reorder_level: ''
                replenishment_level: ''
                minimum_order_quantity: ''
                price_update_method: ''
                automatic_markup_percentage: ''
                inventory_mode: ''
                qbo_sales_tax_code_id: ''
                qbo_purchase_tax_code_id: ''
                qbo_income_account_id: ''
                qbo_expense_account_id: ''
                qbo_asset_account_id: ''
                qbo_id: ''
                quantity_available: ''
                unit_measure: ''
                external_id: ''
                external_type: ''
                external_sync_status: ''
                upc: ''
                unit_cost_per_unit_measure: ''
                unit_price_per_unit_measure: ''
                minimum_dimensional_size: ''
                maximum_dimensional_size: ''
                is_round_up_to_even_dimensional_size: ''
                is_labor_item: ''
                inventory_hub_items:
                  - inventory_hub_id: ''
                    is_automatic_replenishment_by_purchase_order_enabled: ''
                    auto_reorder_level: ''
                    replenishment_level: ''
                    quantity_available: ''
                  - inventory_hub_id: ''
                    is_automatic_replenishment_by_purchase_order_enabled: ''
                    auto_reorder_level: ''
                    replenishment_level: ''
                    quantity_available: ''
                item_links:
                  - item_id: ''
                    name: ''
                    url: ''
                  - item_id: ''
                    name: ''
                    url: ''
                serialized_inventories:
                  - serial_number: ''
                    reference_number: ''
                    asset_template_id: ''
                    invoice_id: ''
                    hub_id: ''
                    id_number: ''
                    default_unit_cost: ''
                  - serial_number: ''
                    reference_number: ''
                    asset_template_id: ''
                    invoice_id: ''
                    hub_id: ''
                    id_number: ''
                    default_unit_cost: ''
                item_price_tiers:
                  - tier_id: ''
                    adjustment_property: ''
                    adjustment_value: ''
                  - tier_id: ''
                    adjustment_property: ''
                    adjustment_value: ''
                customfields:
                  - id: ''
                    field_instance_id: ''
                    value: ''
                  - id: ''
                    field_instance_id: ''
                    value: ''
                tags: ''
      responses:
        '200':
          description: Successful response
          content:
            application/json: {}
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````